Table of Contents

## Name

scanpci - scan/probe PCI buses

## Synopsis

scanpci [-v12OfV]

## Description

Scanpci is a utility that can be used to scan PCI buses and report information about the configuration space settings for each PCI device. On most platforms, scanpci can only be run by the root user.

## Options

-v
  Print the configuration space information for each device in a verbose format. Without this option, only a brief description is printed for each device.
-x
  Show hexadecimal dump of the first 64 bytes of each PCI device's configuration space. For CardBus bridges, the first 128 bytes are dumped instead. This option can be repeated to dump all 256 or 4096 bytes, but doing so might cause scanpci (or the system) to crash because some devices cannot tolerate reads of undefined portions of their configuration space.
-1
  Use PCI config type 1.
-2
  Use PCI config type 2.
-f
  Used in conjunction with the above two options, this forces the specified configuration type to be used for config space access.
-O
  Use the OS's PCI config space access mechanism to access the PCI config space (when available).
-V n
  Set the verbosity level to n for the internal PCI scanner. This is primarily for debugging use.

## See Also

pcitweak(1)

## Authors

Table of Contents

- Name
- Synopsis
- Description
- Options
- See Also
- Authors